# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignDateAndTimeAssignment Class Reference

Representation of STEP entity CcDesignDateAndTimeAssignment
.

`#include <StepAP203_CcDesignDateAndTimeAssignment.hxx>`

Inheritance diagram for StepAP203_CcDesignDateAndTimeAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_CcDesignDateAndTimeAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aDateAndTimeAssignment_AssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aDateAndTimeAssignment_Role, const Handle(StepAP203_HArray1OfDateTimeItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfDateTimeItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfDateTimeItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfDateTimeItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignDateAndTimeAssignment::StepAP203_CcDesignDateAndTimeAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignDateAndTimeAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DateAndTimeAssignment.

Standard_EXPORT void StepAP203_CcDesignDateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aDateAndTimeAssignment_AssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aDateAndTimeAssignment_Role,
|  | const Handle(StepAP203_HArray1OfDateTimeItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfDateTimeItem StepAP203_CcDesignDateAndTimeAssignment::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignDateAndTimeAssignment::SetItems | ( | const Handle(StepAP203_HArray1OfDateTimeItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfDateTimeItem StepAP203_CcDesignDateAndTimeAssignment::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignDateAndTimeAssignment.hxx